#if !defined(AFX_DLGCAMBLACK_H__003B3FB5_D3F4_49E1_ACC9_956835C5788F__INCLUDED_)
#define AFX_DLGCAMBLACK_H__003B3FB5_D3F4_49E1_ACC9_956835C5788F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgCamBlack.h : header file
//
#include "MyRuleStatic.h"
/////////////////////////////////////////////////////////////////////////////
// CDlgCamBlack dialog

class CDlgCamBlack : public CDialog
{
// Construction
public:
	CDlgCamBlack(CWnd* pParent = NULL);   // standard constructor

	int		m_ch;
	CString m_sername;
	CString	m_url;
	WORD	m_port;
	CString	m_username;
	CString	m_password;

	LONG	m_hchann;

	int  m_curArea;
	CMutex  m_hMutexSet;
	BLACK_LEVEL_AREA m_area;
	BLACK_LEVEL_AREAS m_areas;
	void SetCurPosValue(CRect& rect);
	void GetCurPosValue();
	void GetAllAreas();
	BOOL SaveParamToServer(BOOL bSet);
	BOOL GetParamFromServer(BOOL bSet);
	void PreDrawRect();
	void GetIllegalRect(CRect &rect);

// Dialog Data
	//{{AFX_DATA(CDlgCamBlack)
	enum { IDD = IDD_DLG_CAMBLACK };
	CMyRuleStatic m_videownd;
	CString	m_strarea1;
	CString	m_strarea10;
	CString	m_strarea;
	CString	m_strarea2;
	CString	m_strarea3;
	CString	m_strarea4;
	CString	m_strarea5;
	CString	m_strarea6;
	CString	m_strarea7;
	CString	m_strarea8;
	CString	m_strarea9;
	int		m_iareal1;
	int		m_iarear1;
	int		m_iareat1;
	int		m_iareab1;
	int		m_iareab2;
	int		m_iareal2;
	int		m_iarear2;
	int		m_iareat2;
	int		m_iareal3;
	int		m_iarear3;
	int		m_iareat3;
	int		m_iareab4;
	int		m_iareal4;
	int		m_iarear4;
	int		m_iareab3;
	int		m_iareat4;
	int		m_iareab5;
	int		m_iareal5;
	int		m_iarear5;
	int		m_iareat5;
	int		m_iareab6;
	int		m_iareal6;
	int		m_iarear6;
	int		m_iareat6;
	int		m_iareab7;
	int		m_iareal7;
	int		m_iarear7;
	int		m_iareat7;
	int		m_iareab8;
	int		m_iareal8;
	int		m_iarear8;
	int		m_iareat8;
	int		m_iareab9;
	int		m_iareal9;
	int		m_iarear9;
	int		m_iareat9;
	int		m_iarear;
	int		m_iareat;
	int		m_iareab;
	int		m_iareal;
	int		m_iareab10;
	int		m_iareal10;
	int		m_iarear10;
	int		m_iareat10;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgCamBlack)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgCamBlack)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnset1();
	afx_msg void OnBtnset2();
	afx_msg void OnBtnset3();
	afx_msg void OnBtnset4();
	afx_msg void OnBtnset5();
	afx_msg void OnBtnset6();
	afx_msg void OnBtnset7();
	afx_msg void OnBtnset8();
	afx_msg void OnBtnset9();
	afx_msg void OnBtnset10();
	afx_msg void OnBtnset11();
	afx_msg void OnBtnDel1();
	afx_msg void OnBtnDel2();
	afx_msg void OnBtnDel3();
	afx_msg void OnBtnDel4();
	afx_msg void OnBtnDel5();
	afx_msg void OnBtnDel6();
	afx_msg void OnBtnDel7();
	afx_msg void OnBtnDel8();
	afx_msg void OnBtnDel9();
	afx_msg void OnBtnDel10();
	afx_msg void OnBtnsaveall();
	afx_msg void OnBtnGet();
	afx_msg void OnDestroy();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGCAMBLACK_H__003B3FB5_D3F4_49E1_ACC9_956835C5788F__INCLUDED_)
